Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Zoom and osnaps 2

Status
Not open for further replies.

ohiocad

Structural
Apr 6, 2001
193
One of the guys here in the office is trying to find a setting that turns snaps on and off during zooms by default (if such a setting exists).
Unless I am incorrect, I was under the impression that even with osnaps set, when you zoom, it doesn't use osnaps unless you type them in or pick them, after starting the command. His machine has recently started applying the snaps continuously, and it makes zooming a major pain, because it either requires F3 to turn snaps off, clicking on osnaps on the screen, or selecting none from the snap popup.
Hopefully this is just a setting that he changed, and isn't one of those glitches that can only be fixed by reinstalling. Could also be user error, (I haven't actually seen this happen, just going by here-say). Any hints appreciated.
 
Replies continue below

Recommended for you

When you type osnaps and get the menu, turn all
the other options off, ie. endpoints etc, and
I think your zoom will be ok.
 
I'm pretty sure there is no setting that does that while you zoom. It must be one of those I D 1 0 T errors.
 
I'm having the same problem. I've worked on AutoCad 13, 14, 2000, and now 2002. The 2002 version is the only one I have had this trouble with. Normally OSNAP doesn't snap when trying to Zoom. If anybody finds a solution, please post. We are fixing to upgrade to 2005. Maybe this was just a gliche in 2002.
 
ROX29160,

try OSNAPCOORD-> 2

regards, Lothar

ADT 2004
ACAD 2002
 
I use little LISP routines like:

(DEFUN C:EZ () (COMMAND "ZOOM" "END" PAUSE "END" PAUSE) (PRINC)) ; Zoom END to END
;
(DEFUN C:Z () (COMMAND "ZOOM") (PRINC)) ; Zoom
;
(DEFUN C:Z5 () (COMMAND "ZOOM" ".5X") (PRINC)) ; Zoom .5x
;
(DEFUN C:Z7 () (COMMAND "ZOOM" ".75X") (PRINC)) ; Zoom .75x
;
(DEFUN C:Z9 () (COMMAND "ZOOM" ".95X") (PRINC)) ; Zoom .95x
;
(DEFUN C:ZD () (COMMAND "ZOOM" "D") (PRINC)) ; Zoom dynamic
;
(DEFUN C:ZE () (COMMAND "ZOOM" "E" "ZOOM" ".98X") (PRINC)) ; Zoom E then .98X
;
(DEFUN C:ZN ( / OS ) ; Zoom with no OSNAP
(setq OS (getvar "OSMODE"))
(setvar "OSMODE" 0)
(COMMAND "ZOOM" "W" PAUSE PAUSE)
(setvar "OSMODE" OS)
(princ)
)
;
(DEFUN C:ZP () (COMMAND "ZOOM" "P") (PRINC)) ; Zoom P
;
(DEFUN C:ZW () (COMMAND "ZOOM" "W") (PRINC)) ; Zoom W

;
(DEFUN C:NZ ( / OS ) ; Zoom with no OSNAP
(setq OS (getvar "OSMODE"))
(setvar "OSMODE" 0)
(COMMAND "ZOOM" "W" PAUSE PAUSE)
(setvar "OSMODE" OS)
(princ)
)
;
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor